Subject: Re: [PATCH 2/4] ARM: dts: am437x: Move l4 child devices to probe them with ti-sysc

From: Tony Lindgren <[email-masked]>
Date: Tue, 4 Dec 2018 15:18:33 -0800

* Tony Lindgren <[email-masked]> [181204 18:11]:
> * Peter Ujfalusi <[email-masked]> [181204 12:22]:
> > Hi Tony,
> > 
> > On 25/09/2018 3.05, Tony Lindgren wrote:
> > > With l4 interconnect hierarchy and ti-sysc interconnect target module
> > > data in place, we can simply move all the related child devices to
> > > their proper location and enable probing using ti-sysc.
> > > 
> > > In general the first child device address range starts at range 0
> > > from the ti-sysc interconnect target so the move involves adjusting
> > > the child device reg properties for that.
> > > 
> > > In case of any regressions, problem devices can be reverted to probe
> > > with legacy platform data as needed by moving them back and removing
> > > the related interconnect target module node.
> > > 
> > > Note that we are not yet moving dss or wkup_m3, those will be moved
> > > later after some related driver changes.
> > 
> > Exactly the same issue as with am335x after:
> > ARM: dts: am335x: Move l4 child devices to probe them with ti-sysc
> > 
> > reverting this patch makes audio working:
> > 
> > Without revert the McASP FIFO would constantly underflow.
> > 
> > Memcpy test via dmatest works with EDMA
> 
> OK I should be able to debug it here with am437x-sk-evm then.
> 
> If it's not immediately obvious what's going on, let's just
> do a revert here too and debug it more separately.

I did not have any luck getting mcasp working on am437x-sk-evm.

After applying " drm/omap: fix bus_flags for panel-dpi" LCD
works again. But modprobe of snd-soc-davinci-mcasp and
snd-soc-tlv320aic3x still does not show anything with aplay -l.

Do I need some other patch or codec driver?

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel